'=============================================================================
'    Newton Connection Install
'=============================================================================
'    (c) Copyright 1991, Traveling Software, Inc.
'    All Rights Reserved
'=============================================================================
'    File Name:  NC_INSTL.INC     $Revision:   1.28  $
'    Project:  SilverHammer
'    Original Author:  $Author:   HankM  $
'=============================================================================
'    Revision History:  Is at the end of the file.
'=============================================================================
'    Description:
'
'	 This is the include file for the Silver Hammer install script
'=============================================================================


CONST NEW_GROUP$             = "1"
CONST EXISTING_GROUP$        = "2"
CONST DELIMITER_CHAR         = ""
CONST COMMENT_CHAR           = ";"
CONST BACKSLASH_CHAR         = "\"
CONST INSTALL_TITLE          = "Newton Connection Installation"
CONST README_TITLE           = "Newton Connection ReadMe"
CONST DIALOG_TITLE_ERROR     = "Error"
CONST DIALOG_TITLE_WARNING   = "Warning"
CONST README_NAME            = "readme.wri"

'all caps for a string comparison
CONST NEWTON_EXE             = "NEWTON.EXE" 
CONST EXEFILE                = "newton.exe"

CONST EXENAME                = "Newton Connection"
CONST NOTEPAD_EXE            = "notepad.exe "
CONST WRITE_EXE              = "write.exe "
CONST WIN_INI                = "WIN.INI"
CONST PROGMAN_INI            = "PROGMAN.INI"
CONST SYSTEM_INI             = "SYSTEM.INI"
CONST TEMP_SYSTEM_INI        = "~YSTEM.INI"
CONST SETUP_INF              = "setup.inf"
CONST BYTES                  = " bytes."
CONST QUESTION_MARKS         = "???"
CONST EXT_DKR                = "nwt"
CONST SYSINI_KEY             = "device"
CONST TSIVXD                 = "TSIVID.386"
CONST DEFAULT_ICON           = "HAMMERICON"
CONST DEFAULT_INSTALL_DIR    = "c:\newton"
CONST INF_SECTION_COPYFILES  = "install"
CONST SECTION_EXTENSIONS     = "Extensions"
CONST SECTION_386ENH         = "386Enh"
CONST REG_WIN_MESSAGE        = "PreSetup"
CONST POST_MESSAGE_VALUE     = 65535
CONST INTERNAL_VERSION$      = "1.0a_c1"
CONST EXTERNAL_VERSION$      = "1.0a"

CONST MESSAGE_NOGROUPS       = "There are NO existing groups!"
CONST MESSAGE_PATHBLANK      = "You must supply a path for the installation!"
CONST MESSAGE_DRIVENOTVALID  = " - The specified drive is not valid!"
CONST MESSAGE_NETWORKDRIVE   = " - The specified drive is a network drive to which you don't have rights."
CONST MESSAGE_NO_BACKSLASH   = " - The specified drive needs a backslash (eg. C:\NEWTON)."
CONST MESSAGE_NOREMOVABLE    = " - The specified drive is a removable drive. Newton Connection cannot be installed to a removable drive!"
CONST MESSAGE_CANTCREATEDIR1 = " - The specified directory cannot be created."
CONST MESSAGE_CANTCREATEDIR2 = " The drive may be write protected, the directory name may be invalid, or a file of the same name may exist."
CONST MESSAGE_NOTENOUGHSPACE = " - The specified drive does not have enough space! Delete some files or specify a new drive. You need to free at least"
CONST MESSAGE_REQUIRESWIN31  = "Newton Connection requires Windows version 3.1 or higher."
CONST MESSAGE_DRIVENOTSPECIFIED = " - The specified path must include a drive letter."
CONST MESSAGE_SYSINIWRITEPROTECTED = "Your SYSTEM.INI file is write-protected! Remove the write-protection and run the installation again."
CONST MESSAGE_WINUNDETERMINED1 = "Your system is not using standard Windows serial drivers. Your SYSTEM.INI file has not been modified."
CONST MESSAGE_WINUNDETERMINED2 = " In order for Newton Connection to communicate properly you must add the line DEVICE="
CONST MESSAGE_WINUNDETERMINED3 = " to the [386ENH] section of your SYSTEM.INI file."
CONST MESSAGE_WINUNDETERMINED4 = " After the installation, refer to the section ""Non-Standard Serial Drivers"" in README.WRI for more information."

CONST SUCCESSFUL             = 1
CONST TRUE                   = 1
CONST FALSE                  = 0
CONST WIN_UNDETERMINED       = 102  'this must parallel value in travel.h
CONST GROUP_STRING_SIZE      = 900
CONST ERRORSTRING_SIZE       = 300
CONST INIRETURNBUFF_SIZE     = 80
CONST PATHTOEXE_SIZE         = 65
CONST EXEVERRETURNBUFF_SIZE  = 25
CONST OPENFILEVALUE          = 5
CONST WIN_MAJOR_VERSION      = 3
CONST WIN_MINOR_VERSION      = 1
CONST TSIVID_MAJOR_VERSION   = 1
CONST TSIVID_MINOR_VERSION   = 1
CONST MINIMUM_DRIVE_VALUE    = 2
CONST BYTES_PER_SECTOR       = 512
CONST SECTORS_PER_CLUSTER    = 16
CONST START_OF_PATH          = 8
CONST MINIMUM_DISK_SPACE     = 2500000    'this is a ballpark value

''Dialog ID's               
CONST WELCOME                =  100
CONST ASKQUIT                =  200
CONST DESTPATH               =  300
CONST EXITFAILURE            =  400
CONST EXITQUIT               =  600
CONST EXITSUCCESS            =  700
CONST OPTIONS                =  800
CONST APPHELP                =  900
CONST ASKGROUP               = 1000
CONST HELP_WELCOME           = 1400
CONST HELP_PATH              = 1500
CONST DIREXISTS              = 1600
CONST HELP_MODIFYGROUP       = 2000
CONST HELP_EXISTING_GROUPS   = 2100
CONST SINGLELIST             = 1900
CONST INSUFFICIENTSPACE      = 1100
CONST OVERWRITEEXISTING      = 1300
CONST BADPATH                = 6400

''Bitmap ID
CONST LOGO = 1

'===============================================================================
'                            Revision History
'===============================================================================
'
'    $Log:   H:/hammer/src/install/local/english/nc_instl.inv  $
' 
'    Rev 1.28   01 Dec 1993 15:37:36   HankM
' -Change version to 1.0a and release to 1.0a_c1.
' 
'    Rev 1.27   16 Nov 1993 14:58:14   KjellS
' added a space in a text string
' 
'    Rev 1.26   16 Nov 1993 14:42:04   KjellS
' refining SYSTEM.INI modification handling
' 
'    Rev 1.25   16 Nov 1993 11:51:22   KjellS
' added message for the situation in which we can't determine the windows
' environment (win31, wfw, oem)
' 
'    Rev 1.24   13 Nov 1993 18:04:36   HankM
' -Automatic put from make. Version stamp 1.0c4.
' 
'    Rev 1.23   11 Nov 1993 11:18:10   HankM
' -Automatic put from make. Version stamp 1.0c3.
' 
'    Rev 1.22   06 Nov 1993 11:38:04   JohnC
' -Automatic put from make. Version stamp 1.0c2.
' 
'    Rev 1.21   03 Nov 1993 12:39:28   KjellS
' changed the name of README_NAME to readme.wri
' 
'    Rev 1.20   03 Nov 1993 10:26:36   HankM
' -Automatic put from make. Version stamp 1.0c1.
' 
'    Rev 1.19   03 Nov 1993 10:24:36   HankM
' -Automatic put from make. Version stamp 1.0c1.
' 
'    Rev 1.18   03 Nov 1993 10:23:38   HankM
' -Automatic put from make. Version stamp 1.0c1.
' 
'    Rev 1.17   03 Nov 1993 10:27:18   KjellS
' added a constant for write.exe (for the readme)
' 
'    Rev 1.16   02 Nov 1993 15:38:14   HankM
' -Automatic put from make. Version stamp 1.0b12.
' 
'    Rev 1.15   02 Nov 1993 11:45:32   KjellS
' changed THISVERSION to INTERNAL_VERSION
' added EXTERNAL_VERSION
' 
'    Rev 1.14   01 Nov 1993 13:51:40   KjellS
' added message for a blank path
' 
'    Rev 1.13   30 Oct 1993 10:03:02   HankM
' -Automatic put from make. Version stamp 1.0b11.
' 
'    Rev 1.12   26 Oct 1993 18:08:34   HankM
' -Automatic put from make. Version stamp 1.0b10.
' 
'    Rev 1.11   26 Oct 1993 17:27:52   HankM
' -Automatic put from make. Version stamp 1.0b10.
' 
'    Rev 1.10   22 Oct 1993 19:01:52   HankM
' -Automatic put from make. Version stamp 1.0b9.
' 
'    Rev 1.9   18 Oct 1993 11:59:34   KjellS
' changed version from 1.0b6 to 1.0b7
' 
'    Rev 1.8   13 Oct 1993 19:17:50   KjellS
' changed version from 1.0b5 to 1.0b6
' title of the icon when installed to an existing group is now Newton Connectio
' 
'    Rev 1.7   08 Oct 1993 11:15:44   KjellS
' changed version to 1.0b5
' 
'    Rev 1.6   06 Oct 1993 17:43:48   KjellS
' corrected a problem of setup trying to read one drive "lower" after a call
' to SectorsPerCluster (eliminated the call and substituted a constant value)
' 
'    Rev 1.5   05 Oct 1993 12:50:42   KjellS
' changed version number and eliminated the duplicate log file problem
' 
'    Rev 1.3   16 Sep 1993 16:21:08   KjellS
' added to the CANTCREATEDIR error message
' 
'    Rev 1.2   16 Sep 1993 10:55:40   KjellS
' changed version number
' 
'    Rev 1.1   15 Sep 1993 18:39:50   KjellS
' added better error detection for path verification
' fixed #176, 240, 212, 235
' 
'    Rev 1.0   15 Sep 1993 16:27:48   KjellS
' Initial revision.
' 
